use sort_machine::Instruction;

mod min;
mod mode;
mod sum;

#[derive(Debug, Clone, Copy)]
pub enum Task {
    Min,
    Mode,
    Sum,
}

impl Task {
    pub fn from_input(input: &str) -> Option<Self> {
        match input {
            include_str!("../../../inputs/minimum.in") => Some(Task::Min),
            include_str!("../../../inputs/nejcetnejsi.in") => Some(Task::Mode),
            include_str!("../../../inputs/soucet.in") => Some(Task::Sum),
            _ => None,
        }
    }

    pub fn judge(self, program: Vec<Instruction>) -> bool {
        match self {
            Task::Min => min::judge(program),
            Task::Mode => mode::judge(program),
            Task::Sum => sum::judge(program),
        }
    }
}
