#!/bin/bash

mkdir -p data
rm data/*

echo "Compiling judge:"
(cd judge && cargo build --release)

judge="./judge/target/release/sort-machine-home-judge"
cp "$judge" data/checker

for input_path in inputs/*.in; do
    codename=$(basename "$input_path" ".in")
    
    cp "$input_path" "data/input.$codename"
    touch "data/output.$codename"
done

echo "Archiving testcases:"
(cd data && zip testcases.zip input.* output.*)
