use maud::{html, Markup};

use super::document;

fn body() -> Markup {
    html!(
        main {
            h1 { "Ke stažení" }

            p {
                "Připravili jsme pro vás simulátor pro příkazovou řádku v podobě spustitelné binárky. "
                "Tu si můžete stáhnout zde:"
            }

            ul {
                li { a href="download/sort-machine" { "Linux (x86-64)" } }
                li { a href="download/sort-machine.exe" { "Windows (x86-64)" } }
            }

            p {
                "Pokud si otevřete příkazovou řádku ve složce se staženou binárkou, "
                "pak můžete simulátor spustit pomocí příkazu " code { "./sort-machine [PROGRAM] [VSTUP]" } ". "
                "Pokud vás zajímají další možnosti, přečtěte si nápovědu, kterou vypíše příkaz "
                code { "./sort-machine --help" } "."
            }

            p {
                "Pokud si chcete simulátor přeložit sami, například protože používáte jiný operační systém, "
                "tak si také můžete stáhnout " a href="download/sort-machine.zip" { "zdrojový kód" } ". "
                "Tento balíček obsahuje kromě programu pro příkazovou řádku i webovou verzi simulátoru."
            }

            p {
                "K přeložení budete potřebovat překladač jazyka Rust. "
                "Můžete si jej snadno stáhnout pomocí nástroje "
                a href="https://rustup.rs/" { "rustup" } ". "
            }

            p {
                "Pokud si otevřete příkazovou řádku ve složce se staženým zdrojovým kódem, "
                "můžete ke spuštění simulátoru použít příkaz " code { "cargo run --release -- [PROGRAM] [VSTUP]" } ". "
                "Také jej můžete nainstalovat pomocí příkazu " code { "cargo install --path sort-machine-cli" } ", "
                "poté jej můžete spustit příkazem " code { "sort-machine [PROGRAM] [VSTUP]" } " odkudkoliv."
            }
        }
    )
}

pub fn page() -> Markup {
    document(
        body(),
        html!(
            link rel="stylesheet" href="assets/download.css";
        ),
        "Ke stažení | Třídicí procesor",
        "Soubory ke stažení pro výpočetní model z MO-P 74",
    )
}
