use maud::{html, Markup, DOCTYPE};

pub mod download;
pub mod editor;

const ICON_SIZES: &[i64] = &[16, 32, 48, 96, 144];

fn document(body: Markup, head: Markup, title: &str, description: &str) -> Markup {
    html!(
        (DOCTYPE)
        html lang="cs" {
            head {
                meta charset="UTF-8";
                meta name="viewport" content="width=device-width,initial-scale=1";

                title { (title) }
                meta name="description" content=(description);

                @for size in ICON_SIZES {
                    link rel="icon" type="image/png" sizes={ (size) "x" (size) } href={ "assets/icon-" (size) ".png" };
                }

                (head)
            }
            body {
                (body)
            }
        }
    )
}
