import { maybe } from "./utils";

function saveScrollValues() {
    let values = [];

    for (var element of document.getElementsByClassName("save-scroll")) {
        if (element.id != null)
            values.push({ id: element.id, top: element.scrollTop, left: element.scrollLeft });
    }

    sessionStorage.setItem("scroll", JSON.stringify(values));
}

function loadScrollValues() {
    let payload = sessionStorage.getItem("scroll");

    if (payload != null) {
        let values = JSON.parse(payload);

        for (var { id, top, left } of values) {
            let element = document.getElementById(id);

            element?.scrollTo({ top, left });
        }
    }
}

function saveSizeValues() {
    let values = [];

    for (var element of document.getElementsByClassName("save-size")) {
        if (element.id != null)
            values.push({ id: element.id, width: element.style.width, height: element.style.height });
    }

    sessionStorage.setItem("size", JSON.stringify(values));
}

function loadSizeValues() {
    let payload = sessionStorage.getItem("size");

    if (payload != null) {
        let values = JSON.parse(payload);

        for (var { id, width, height } of values) {
            let element = document.getElementById(id);

            element.style.width = width;
            element.style.height = height;
        }
    }
}

window.addEventListener("beforeunload", () => {
    maybe(saveScrollValues);
    maybe(saveSizeValues);
});

maybe(loadSizeValues);
maybe(loadScrollValues);
