import { createButton, maybe } from "./utils";

function save(content, filename) {
    let download = new Blob([content], {
        type: "text/plain",
    });

    let url = URL.createObjectURL(download);

    let a = document.createElement("a");
    a.href = url;
    a.download = filename;
    a.click();

    URL.revokeObjectURL(url);
}

function load(callback) {
    let input = document.createElement("input");
    input.type = "file";

    input.addEventListener("change", () => {
        let file = input.files[0];

        if (file != null) {
            file.text().then(callback);
        }
    });

    input.click();
}

function register() {
    for (let editor of document.getElementsByClassName("editor")) {
        let area = editor.getElementsByTagName("textarea")[0];
        let label = editor.getElementsByClassName("label")[0];

        if (area == null || label == null)
            continue;

        let saveButton = createButton("stáhnout");
        let loadButton = createButton("otevřít");

        label.appendChild(saveButton);
        if (!area.readOnly)
            label.appendChild(loadButton);

        saveButton.addEventListener("click", () => {
            save(area.value, `${area.id}.txt`);
        });

        loadButton.addEventListener("click", () => {
            load(value => area.value = value);
        });
    }
}

maybe(register);
