import { createButton, maybe } from "./utils";

function register() {
    for (let row of document.querySelectorAll("tr.sortable")) {
        let table = row.closest("table");
        let header = row.querySelector("th");

        let button = createButton("seřadit");
        header.appendChild(button);

        button.addEventListener("click", () => {
            let ownCells = row.getElementsByTagName("td");
            let order = new Array(ownCells.length);

            for (let i = 0; i < ownCells.length; i++) {
                let pos = parseInt(ownCells[i].dataset.pos);
                order[pos] = i;
            }

            for (let row of table.rows) {
                let cells = [...row.getElementsByTagName("td")];

                for (let cell of cells.slice().reverse())
                    cell.remove();

                for (let idx of order)
                    row.appendChild(cells[idx]);
            }
        });
    }
}

maybe(register);
